﻿using System.Collections.Generic;

namespace wms.dto.request.fj
{
    /// <summary>
    ///  手动出库请求
    /// </summary>
    public class FJManualTaskRequest
    {
        /// <summary>
        ///  货位信息
        /// </summary>
        public List<string> Location { get; set; }

        /// <summary>
        ///  业务类型
        /// </summary>
        public string? WarehouseCode { get; set; }

        /// <summary>
        ///  业务类型
        /// </summary>
        public string? BusType { get; set; }

        /// <summary>
        ///  出库目标地址
        /// </summary>
        public string AddTo { get; set; }
    }
}
