﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    public class ProductionLeftFeedBackRequest
    {
        /// <summary>
        /// 退料单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 操作类型(/2余料（退料不传工字轮信息，只传点位）)
        /// </summary>
        public string BusType { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareName { get; set; }
        /// <summary>
        /// 货位
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }
        /// <summary>
        /// 集合
        /// </summary>
        public List<ProductionLeftFeedBackRequestItem> ListInfo { get; set; }
    }
    public class ProductionLeftFeedBackRequestItem
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
    }
}
