﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.share
{
    /// <summary>
    /// 时效库主数据接收
    /// </summary>
    public class SxSyncMaterInfoListRequest : BaseRequest
    {
        public List<SxSyncMaterInfoListRequestItem> ListInfo { get; set; }
    }
    public class SxSyncMaterInfoListRequestItem
    {
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string Describe { get; set; }
        public string ProCode { get; set; }
        public string ProName { get; set; }

        public decimal Length { get; set; }
        public decimal OilQty { get; set; }
        public string LubType { get; set; }
        public decimal LineSpace { get; set; }
        public string ProStre { get; set; }
        public string ProMix { get; set; }
        public string ProDescribe { get; set; }
        public decimal LayLength { get; set; }
        /// <summary>
        /// 捻向
        /// </summary>
        public string LayDirect { get; set; }
        public decimal LinearMax { get; set; }
        public decimal LinearMin { get; set; }
        public decimal LinearTar { get; set; }
        public bool IsHold { get; set; }
        public decimal HoldDuration { get; set; }
        public string SpoolType { get; set; }
        public string SpoolName { get; set; }
        public string Plating { get; set; }
        public string CumIndex { get; set; }
        public string SelIndex { get; set; }
        /// <summary>
        /// 镀层克重
        /// </summary>
        public decimal PlatingWeight { get; set; }

    }
}
