﻿using System;
using System.Collections.Generic;
using System.Text;
using wms.sqlsugar.model.hj;

namespace wms.service.Service
{
    public class LocationForStrategyInfo: hjBaseWareLocation
    {
        public List<LocationForStrategyInfoStock> StockList { get; set; }
        public long WarehouseId { get; set; }
        public string WarehouseCode { get; set; }
        public string ZoneCode { get; set; }
        /// <summary>
        /// 优先熟化
        /// </summary>
        public int IsFirstBake { get; set; } = 0;
    }


    public class LocationForStrategyInfoStock
    {
        public long GroupStockId { get; set; }
        public string ContainerCode { get; set; }
        public string GroupStockState { get; set; }
        public string GroupStockType { get; set; }
        public DateTime LastInTime { get; set; }
        public DateTime LastOutTime { get; set; }
        public DateTime LastCheckTime { get; set; }
        /// <summary>
        /// 最近盘库时间
        /// </summary>
        public int KeepTime { get; set; }

        public long GroupStockDetailId { get; set; }
        public long BarCodeId { get; set; }
        public string Barcode { get; set; }
        public decimal Quantity { get; set; }
        public decimal Weight { get; set; }
        public string Position { get; set; }
        public long MaterialId { get; set; }
        public string BoxCode { get; set; }
        public string Grade { get; set; }
        public string Batch { get; set; }
        public string MaterialState { get; set; }
        public string MaterialCode { get; set; }
        public long WarehouseDocumentDetailId { get; set; }
        public long InventoryDetailId { get; set; }
        public DateTime InTime { get; set; }
        public DateTime ProductionTime { get; set; }

    }

    public class LocationForStrategyInfoTemp
    {
        public long Id { get; set; }
        public string Name { get; set; }
        public string Code { get; set; }
        public long ZoneId { get; set; }
        public string ZoneCode { get; set; }
        public long WarehouseId { get; set; }
        public string WarehouseCode { get; set; }
        public string LocationLock { get; set; }
        public int Sort { get; set; }
        public string ShelfCode { get; set; }
        public string Tunnel { get; set; }
        public decimal MaxWeight { get; set; }
        public long EquipmentId { get; set; }
        public string Fork { get; set; }
        public string Depth { get; set; }
        public string LogicLayer { get; set; }
        public string LogicCol { get; set; }
        public string LogicRow { get; set; }
        public string PhysicalCol { get; set; }
        public string PhysicalLayer { get; set; }
        public string PhysicalRow { get; set; }
        public string Size { get; set; }
        public string LocationType { get; set; }
        public string LocationState { get; set; }
        public long GroupStockId { get; set; }
        public string ContainerCode { get; set; }
        public string GroupStockState { get; set; }
        public string GroupStockType { get; set; }
        public DateTime LastInTime { get; set; }
        public DateTime LastOutTime { get; set; }
        public DateTime LastCheckTime { get; set; }
        /// <summary>
        /// 最近盘库时间
        /// </summary>
        public int KeepTime { get; set; }

        public long GroupStockDetailId { get; set; }
        public long BarCodeId { get; set; }
        public string Barcode { get; set; }
        public decimal Quantity { get; set; }
        public decimal Weight { get; set; }
        public string Position { get; set; }
        public long MaterialId { get; set; }
        public string BoxCode { get; set; }
        public string Grade { get; set; }
        public string Batch { get; set; }
        public string MaterialState { get; set; }
        public string MaterialCode { get; set; }
        public long WarehouseDocumentDetailId { get; set; }
        public long InventoryDetailId { get; set; }
        public DateTime InTime { get; set; }
        public decimal CoolDownHours { get; set; }
        public DateTime ProductionTime { get; set; }

        public int LocationStatus { get; set; }
        public string TunnelConf { get; set; }
        public string EquipState { get; set; }

    }
}
