﻿using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  配置信息表
    /// </summary>
    [Tenant("fj")]
    [SugarTable("sys_config", "配置信息表")]
    public class fjSysConfig : BaseModel
    {
        /// <summary>
        ///  编号
        /// </summary>
        [SugarColumn(ColumnName = "code", Length = 100)]
        public string Code { get; set; }

        /// <summary>
        ///  名称
        /// </summary>
        [SugarColumn(ColumnName = "name", Length = 100)]
        public string Name { get; set; }

        /// <summary>
        ///  内容
        /// </summary>
        [SugarColumn(ColumnName = "scontent", Length = 100)]
        public string SContent { get; set; }

        /// <summary>
        ///  类型
        /// </summary>
        [SugarColumn(ColumnName = "stype", Length = 50)]
        public string SType { get; set; }

        [SugarColumn(ColumnName = "default1", Length = 100, IsNullable = true)]
        public string Default1 { get; set; }

        [SugarColumn(ColumnName = "default2", Length = 100, IsNullable = true)]
        public string Default2 { get; set; }

        [SugarColumn(ColumnName = "default3", Length = 100, IsNullable = true)]
        public string Default3 { get; set; }
    }
}
