﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("WCS_PlcData")]
    public partial class ptWCSPlcdata
    {
        /// <summary> 
        /// ID
        /// </summary> 
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnDataType = "int", IsNullable = false, ColumnDescription = "ID")]
        public int ID { get; set; }

        /// <summary> 
        /// 仓库
        /// </summary> 
        [SugarColumn(ColumnDataType = "varchar", Length = 255, IsNullable = false, ColumnDescription = "仓库")]
        public string WAREHOUSE { get; set; }

        /// <summary> 
        /// 内容
        /// </summary> 
        [SugarColumn(ColumnDataType = "text", Length = 2147483647, IsNullable = false, ColumnDescription = "内容")]
        public string CONTENT { get; set; }

        /// <summary> 
        /// 创建用户
        /// </summary> 
        [SugarColumn(ColumnDataType = "varchar", Length = 50, IsNullable = false, ColumnDescription = "创建用户")]
        public string AddWho { get; set; }

        /// <summary> 
        /// 创建时间
        /// </summary> 
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false, ColumnDescription = "创建时间")]
        public DateTime AddTime { get; set; }


    }
}
