﻿namespace wms.dto.request.fj
{
    public class CurtainProductionStockOutRequest : BaseRequest
    {
        /// <summary>
        /// 帘线工单号
        /// </summary>
        public string BillCode { get; set; }

        /// <summary>
        /// 机台编号
        /// </summary>
        public string WbCode { get; set; }

        /// <summary>
        /// 推荐消耗等级
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }

        /// <summary>
        /// 快投标记
        /// </summary>
        public bool IsFast { get; set; }

        /// <summary>
        /// 绕向
        /// </summary>
        public string Winding { get; set; }

        /// <summary>
        ///  业务类型  1:取空补满  2:取空  3:补满
        /// </summary>
        public string Type { get; set; } = "";

        /// <summary>
        ///  垛型编码
        /// </summary>
        public string TypeCode { get; set; } = "";
    }

    public class CurtainProductionStockOutRequest1 : BaseRequest
    {
        /// <summary>
        /// 帘线工单号
        /// </summary>
        public string BillCode { get; set; }

        /// <summary>
        /// 机台编号
        /// </summary>
        public string WbCode { get; set; }

        /// <summary>
        /// 推荐消耗等级
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }

        /// <summary>
        /// 快投标记
        /// </summary>
        public bool IsFast { get; set; }

        /// <summary>
        /// 绕向
        /// </summary>
        public string Winding { get; set; }

        /// <summary>
        ///  业务类型  1:取空补满  2:取空  3:补满
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        ///  本次叫料编码
        /// </summary>
        public string Materialcodecall { get; set; }
    }

    public class ManualCurtainProductionStockOut : BaseRequest
    {
        /// <summary>
        /// 帘线工单号
        /// </summary>
        public string BillCode { get; set; }

        /// <summary>
        /// 机台编号
        /// </summary>
        public string WbCode { get; set; }

        /// <summary>
        /// 立库编号
        /// </summary>
        public string wareCode { get; set; }

        /// <summary>
        /// 货位号
        /// </summary>
        public string cellCode { get; set; }

        /// <summary>
        /// 推荐消耗等级
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }

        /// <summary>
        /// 快投标记
        /// </summary>
        public bool IsFast { get; set; }

        /// <summary>
        /// 绕向
        /// </summary>
        public string Winding { get; set; }
    }
}