﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 特殊出库领料申请请求实体
    /// </summary>
    public class SpecialPickMaterApplyRequest:BaseRequest
    {
        /// <summary>
        /// 材料号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string MatBarCode { get; set; }
        /// <summary>
        /// RFID值
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string RFID { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string MatCode { get; set; }
        /// <summary>
        /// 目标位号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WbCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WareCode { get; set; }
    }
}
