﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 库存改判反馈请求实体
    /// </summary>
    public class StockChangeFeedBackRequest
    {
        /// <summary>
        /// 单号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string BillCode { get; set; }
        /// <summary>
        /// 改判结果列表
        /// </summary>
        public List<StockChangeRequestItem> ListInfo { get; set; } 
    }
    //public class ListInfoItem
    //{
    //    /// <summary>
    //    /// RFID值
    //    /// </summary>
    //    public string RFID { get; set; }
    //    /// <summary>
    //    /// 材料号
    //    /// </summary>
    //    public string MatBarCode { get; set; }
    //    /// <summary>
    //    /// 改判状态
    //    /// </summary>
    //    public string State { get; set; }
    //    /// <summary>
    //    /// 等级
    //    /// </summary>
    //    public string Grade { get; set; }
    //    /// <summary>
    //    /// 原因
    //    /// </summary>
    //    public string Reason { get; set; }
    //    /// <summary>
    //    /// 仓库编码
    //    /// </summary>
    //    public string WareCode { get; set; }
    //}
}
