﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("Bill_DocsInfo")]
    public partial class ptBillDocsinfo : BaseModel
    {
        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// ReqNo
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string ReqNo { get; set; }

        /// <summary> 
        /// DocsNo
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string DocsNo { get; set; }

        /// <summary> 
        /// Type
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Type { get; set; }

        /// <summary> 
        /// StateNum
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int StateNum { get; set; }

        /// <summary> 
        /// JsonContent
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", IsNullable = true)]
        public string JsonContent { get; set; }

        /// <summary> 
        /// DownQty
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int DownQty { get; set; }

        /// <summary> 
        /// DownErrReason
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string DownErrReason { get; set; }
    }
}
